Bug Hunting Session
Bug 63878 - [FORMATTING] On an RTL spreadsheet, changing zoom level moves charts
Summary: [FORMATTING] On an RTL spreadsheet, changing zoom level moves charts
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords: regression
Depends on: 64011
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2013-04-24 10:36 UTC by Shimi Chen
Modified: 2013-05-24 10:30 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
A simple speadsheet in which the bug is manifested (14.81 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-24 10:36 UTC, Shimi Chen
Details
test document (69.66 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-05-17 11:20 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shimi Chen 2013-04-24 10:36:00 UTC
Created attachment 78422 [details]
A simple speadsheet in which the bug is manifested

When using Calc with a right-to-left sheet, changing the zoom level makes charts jump all over the spreadsheet, sometimes impossible to find them again. A simple example ods is attached(method of changing zoom level: ctrl+mouse wheel).

OS: Linux Mint 14(Based on Ubuntu 12.10)
Inastall source: https://launchpad.net/~libreoffice/+archive/ppa?field.series_filter=quantal
Comment 1 Shimi Chen 2013-04-24 10:44:44 UTC
Correction: In the attached file, The chart must be initially moved to any other place in the spreadsheet, and only after that change the zoom level and the bug will manifest.
Comment 2 Faisal Menawer 2013-04-27 06:06:37 UTC
thank you for the report
Confirmed on 4.0.2.2. and master build
Comment 3 Lior Kaplan 2013-04-27 22:15:49 UTC
Comment on attachment 78422 [details]
A simple speadsheet in which the bug is manifested

>PK����àRBl9.���.������mimetypeapplication/vnd.oasis.opendocument.spreadsheetPK����àRB_røÓÖ��Ö�����Thumbnails/thumbnail.pngPNG
>
>
IHDR���¾������¡[{��IDATxíÝLÕõÇñs8Gòë�àIÂu· ´qá:Ǽ`¦þ\xIæ5~¨èÄR Kuå¤9Díº4gn¥ÎüÓÊÔ.a@éäðãüº×®ÂA>ºï?z¿ïözüõÏ{ó¹/¿ç{ôCð¿Ós�ÿ¯X¶Ö/Vªîíé³+'Ò[Ë}O[]îÜ}Síìóë¯X¶û½/­ÛüTúÔc?X"ÿäÎzMïõª²V­½ÿoXî¡ÓÊJ[g®çíæÁ5OÏ+\麢ÿ ¹l­Ç
>së_»õÕ±$ÞØÛ§Ïß{'êÅi'g½ÊþÇ ©Üjo'q_11±òÃþ_! B:@tIJßýjýÒZ½µ>Åu¬Ç(F&¤#½Ë½¶<Áïðüzsb°ë1	饠¯[VÜtÐÀ}bdB:bYOuĽs¤êíY»/Î+ÊzÍà	é¥uÜ®Y¾¸Â§×üJö2Þ[T#ÒK?:iKµaG52! B:@téfk®NMú&ëø¶hOÞCû$ÒÌr«ºä¸Ç0_î;4Ê}éÕ{íã-M³M±;*¸/Ñ(÷I¤#UwÃÁ£OÜ<ñ}xuúÃX×QìHG*ñy~¦±5í_öìk¼Ýhû$ÒM7fAe1÷å>té�Ò"¤#ù)>ïVH1"«tÍD#÷§?ß'XÖ¾­·Gé<B£ÂØ?5¬Ø'XZÿøûFº²zÖûb#YõRìHG¬ÞÏ~×â`°ÛoQíHG,Cðo,2XtÓM¼O*÷I¤#Ûð)j¦p_álà>té�Ò"¤#¹~g^Y½ÍÒ9zIiþ˾¼ÓÎà}éÕqz{í=ýXåä0/îIP±O"©ì7¯¶Gìú ã¹;/O*ÏúáaÅ>t¤ró¨óÒ±7X¬Ü/·VìHG,c¬)&ôàK­aêFóUû$ÒKëWUÃ}ÅC}é�Ò"¤DHG,óù¢7λo}}3áó³¼8WìHG,Ï	y{÷w]*I?´*'ûp}éHfk®Ý|eÆæìϪöI¤#½åø9åAnÜ(÷I¤#X×õSÖù¼o½}H±O"Á¼b·×Ärñ_}é�Ò"¤DHG,[óe¦£n¶Y{
>"y_&¨Ø'XnÞÁC[n4{ì~C¸QìHG¬Ó{S+jRפ¼¶8ùïHG,kWg ·Î=`®ÝÌýÉaÅ>tÄòË|niæâÃô
ÌÖ(öI¤#Ö³ª2û>öI¤DH!±¬ÿÜmªí	ò
Ïß0;wÚQìHG¬sZRÊ«§5¦T6ÌXÍû  bD:bãOÌkééaw»Û¹wÅ>tIJÝû9(})üRöëgsÿMbD:béýü¯æ/Y`1û-ÜÆbD:biÖ}2ûû$Ò"¤DH4¶¶ºÜ¹û¦Úóí¹wÿöîe{gⶲ¹cy§û$Ò¥÷zUÙI«ÖîÐh:Ïì:÷×­ûf6­I«iL^1õQ/Å>tdqz^áJÿÔ£ûn»Ï/·!c´·ïXÿó¯8ïRìHG*­Áß÷~k§Ýr§É1r2÷ïbä>	È;:}BFö¢ôz&oaÿÆaÅ>tä1&V~øë9ßÇ|Ë#}é�Ò"¤#Mß®3ÙgÀϼÇ(F&¤#Ó®3àgîc#Ò¥×ø3ó1ª	éÀï ü	éÈÓ·ë<ö3'LH! B:Òô­pq]_¬6UÝÚÓ9.gWN$ËÛ]íHG§Îv¿÷¥u»jXzìK$Ã[½\ïHG§Ð=tz²£ãBYiëÌõá,]¸Þ'\¶Öc¹uϯÝú*óÉjoìmÓçï½õâ´3ÞKå~ÚëqHGG+\Ríí$î[\ìH! B:Òô-oñÖ¯Ö/ý¨Õ[ëX¼)1XÇzbD:²8-oö.GôÚò¿ÃsòëÍÁºÞ',NË~T\¾nmZqwÒA÷ºÞ'XæSgqï©z{ÖîóJ¢xßõ?xD:bi·k/®ðé5¿½Ì÷Õ>täy´¼ù$m©fß¼O" B:@téH3àa<[sujÒ7YÇ·Eó|k¬«}éÈ2àa<Ë­êãÃ|£Ø',N+\ïµ·4Í6Åî¨pbD:Ru7<ÚxñDÁÍßW§¿°÷Å^}éHå1>ïÓÏ4¶¦½óË}ýp}éÈãü0nÌÊb	ÇÞ'! B:@t¤éu§Lñy·BY¥k&¹?8üø>tdqZá¬?}[o3ÒyF±|àü7öI¤#Ó
>§õ߸oaÔ¨+«g½!¶8òÔËõ>tÄêýñìwÝ!Ñ!¾;÷«öI¤#!xÌ7,ºéÅ&Þ§Kû$Ò§o²©fc¸O" B:@téHã4	ÖïÌ+«·Y:G/)ÍÙw¼O"YV¸ÓÛkïéÇÚ,Ï$yqO}éÈÒ¿ÂÙ;n^mØõAÆ/sw^T0þÿð°ë}éHåæ9"8Pç¥bn°XÙ¾Øè!Å>tÄ2Æb2L¾Ô¦n41pXµO"yúV¸è¼ªæ[\ìH! B:Òô­p1×Þ,:oî¾õõÍÏÏ2üáÜõ>tdqZá<'äíÝßu©$ýЪ7¹Þ',¿ÅÃÖ\»ùÊÍ+y/ý}éfo9~ÄcNy÷!Ê}éÖuýub>Ã[oSìHG¾IÐ+v{M¬cíH! B:Òô£GÇe¦£n¶Y{
>"Y^&èjD:²8­pnÞÁC[n4{ì~C¸QìHG§I°ãôÆÔæ5i¯-Îeø²j×û$ÒËÚÕãè­s¡k7srX±O"±üã2[¹ø°Æ0mC&ó5}éÈÓ·ÂŬªa¾ÅÅ>té�Ò"¤#Mß
>÷çíÏ6ÕöùÄçoÂ2í¸Ú',Îæ;ÐR^=­©0¥²aÆj]ïHG§Î·|bþ[KOë¼ÛÝβë¸Þ'X¶{?¥o3_Ê~ýÌp¿è§Ø'Xz?ÿ«ùKXÌ~wq§£Ø'<}+ܤuLb¾ÅÅ>té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@té�Ò"¤DH! B:@tèßË8îzdÖ����IEND®B`PK��àRB���������������content.xmlÍZKÛ6¾÷WxÜÞhYö>luw3i;=í¶$íôJSÄD5$åG~}AJ(¯íÈJ&ÕÅk�¿@ö>¼ÙgédKd<ú³ùtBsÂCÇÓ¿?üVÓ7O?<ð(b!'eFsÏüu.jõqZ<àX2ä8£2P$àÍ­Uàj«HuH{e×Zѽêk¬u;¶xÓÙ(»Ö¡À»¾ÆZÕ5x_ã½LQÄáÔ³+vÄb²üÓã4Qª<o·ÛÍv˱ç¯×kϬ6I£W"5Z!ñhJ5ôüïYÝ*ÜÖu)åe¶¡¢÷Ñ`_EµT
>¸«³ßF®M'¿¶qïìÚÆg$XôÎ3£ÜMeØ?U¡kaïÊ{EóòòÜæÈúbiÝÎQÁÞnVÚ®=缡ª
ªËnè.æó¯úìhï.ªïST8êä¢:Á)iNg§
ô|4Ýêo.>yÆ`áU˲ÏnýïËó{зÊìËÊåRá¼=¡pÖÓ[OÐÕLÔ¿øB´
·DeéùÒ¡W­j,Âð¤*ÐYzPFà£-£»;µõr>¬=£äÖÓþÜÓ:Íp·Å_ÄMxU¨î*^©1:;tª2£©½ª
þ©m)Ê$D2cÝ-ò"Û÷ÛNg%£ãn(r©NâÃ;O¯!Ýã ×HNo_Ll#¯.®ôA
EPRʧª 7âIõYó~¾Cb@­´
>K­Ü5Õ+(¦98
>wWî)ÕmÁV§wú7úÿSNÞã\ ð.¸üÙÑ©)¤¢Ù×pú$¸³É¯Ï/gYu´¾/ï\üj9.þÁ2û45¯/÷°¸¹ÐÓ2˧ÖÒ¢ò
>ŨD<Ø?¡

5´Ý±Vß±P·²ùlµZ³Üðwèç&Îq|wD$.«jIÊâDipÿnåúeÆ¥¤e8E®¹%½øâ[¿_}'Þ
>>p+Ì``£8¦È^Ì©:rÊq¨C&j>õnºËÃl2ê3KÚô§WTcKýÙe£Ûl&ø'Ø"ç9p1¢¥iG «)ÓF	ì3×¥áÅPQ	ÍÍpÒÕÛjÒje§ÝÃè7ËßßÑ¿^ùY`o§äèfjvG´_ázgKF½°áá¡í 0lãP&ª§*¶º©i»HR¥C*íãÌJ0í¨æ-WiUI3¼gY¡Eð JuÚÏaT2t¿c^ëͪS{¯úÓ<Bm[;àB{Zåõ*^¡ú÷|jS¦ÝÀd^|ä.XA¨ÞÝl±^/ôÝÕB{%³ÛÛ¥îu¾_-}+�Ï®»Uæl>BÂTp9W,: ð¿,`Ì!óJëïì­4ïVúí/ðó~4AazyV�¾«CHf@32èyÂÃ]hE¨(<NyþÌq¨ãd8BéIw*�©8¿ª×Æ®IV'9êÎu"L¬SÇ<¿ÖªÁ°M
¦ÂÕ«rMÓNämôº¨PO@ê¾vÄökF7U'¥«igE0ÖãkñäËÕ;ë{»ßW ,ZÅEïÈÙïà}on-ÂrlÞ÷æ6á¦E¸÷½¹
F¸mnÇæ}onîZ»±yßÛ`ûá~lÞ÷æ6aÕ"¬Ææ}onÖ-ÂzlÞ÷æ6|¢;#Å|lþ_Án8;T]ªþèÏn83Xù£ú®`7îüÑM~W°áXþ覿+Ø
Çp,tàìc8?º)ð
>vÃ1aËÝ$x»áÎÀån¼Ýpgèò¯]å =ÝëVпÌIçWΪVX}íj?ÿÎÓPK²ú¿��Ã#��PK��àRB������������
>styles.xmlÝYmoÛ6þ¾_a¨CÑ£%ÙI»¡Ã°MQ¤í¾3%s¡D¤ì¸¿~GRE[VÔ¡ëÒ¢ÈçÇç^¥\^?l²!BR^^ñ4
>&¤LxJËü*øøáwt\¯~ºäYF²LyR¤THª#rÂ¥\ÚÍ« åcIå²ÄK,yEJ'´ì¢æ(»b7à®´"j¬°Æz²ønüÉÜNÞÖXà´+ñ±Â¡£VôÀFËû«`­TµÃív;ÝΧ\äa¼X,B³Û´¸ªÌ Ò$$èÃdOãÐa¢ðXû4¶kRYwD¦+|äÕJ	¸®Ëqº2^|mòÑѵÉOЬ±gìÊ<*ó´+[`µ>áßð6Í?7oöq%±gi¬GU"h5úÝç·¦jìÆÜYö¹Þ·*":ðd`´ó¢4ÀÅ! Ùèwh¡/}Róy(HÅj
ÉÆ;`gÖ¦êZìtªê]ÍEöBÁyiI6lxµlÿEh@Ýú5(G¡Æ´)�ôî­ÈÛvñºLmÚY2ÈCEÕ[±¥§ÁË+)çªï¢nC½tͪԴN«+×2=)Ã	A)I\]ÚzÒ.Oì³6î*øUP<Cª;@AÙn¿ÞÕ;('%ÜBOn©¢¢*äÜ`ÕÌÃGÿFþÆÕ÷¸=<ů:»0lÒN*R|Moq²f0:yýææ¤UêÙò_³nÇgJ2\³føp+M`£08xή֨ÚBQXì A¯PJ¥Â¥^¢é9-÷\é¨;3vzQñ%Ãe^ãÖHiH%À¨ïCA%`0N|Z»F¡ÛxýöX­nZ<+nAkr¨ºÝúóqLãcÜ`ø¦IëæÙcL*Áïµ=Ãðd~öâgÁDeFkw^ÎYV· 
>ñÊ%Gú¹kò- D¡íÌ8¾Á}û»Î~8&Xt(àZqYa)4%ÜB1«ÖØ1YÕe¢jSmTsÚzÝ	aXûÓD¹Ýå`6DOA}òüKËè΢çn£DÛaæó3IZ®]P˽ÿún5áµ$UM9¼q51^è)
 ÐËÉ[²Üò#иÁÚÐ%é'à$Ujt®1¢`h@÷D%k{ç0­ÓåÒì¬R_F_@½¿6óìDÝÖ^æ5E<
>@æ© %D"9È¥4§Jæ ­¤Þw}GÅÑÙ»ÈÝbü~24÷(Øw9k|ÿ9lÇ«[ÃT¸4Z`*É	wÃ7w»¹àuµ!þÝÇRÊ+¤¶eY?ú¬F§Æ®P{²yü´¸jC¼L©-ØÌjòìùÓ\½ºjWkøD^p
xÃJûà70ÁãsÁ#­}þd´ÏÍG,¹%rØ×0°h?¥ ÿ±d+ýbBa¼fÛíS0a»ÅHÎhz²¥©~µÔ½í¢Ü}+ØWæ-¡ù&w¬ôsÉ};>±æ
è0vöQx|ôëÏZßÆ1­Ð©yѼD×B}pÊáM`M&äU©\Cò½Ò« Ax+>9«ôÎMïì¯sfÃhüE:w¡TpûUAñÓæ/¢c#ÃwæQwÂ	ò_&ôÞñZywº©8èåmL u·÷Én·ïªÞZƹO|éR»nMgó9µNE{dzÇ_
Þ_½ãJéÑ4Z\Ù!7<mUcÎ÷°Õ^3}Â#_ðáìæC½wÇEª?«Î¦g
>n¬+ûäId~ Â©ýpbÑËØáä^÷ê2m_«Hÿi)ê `ÈÉQÀ]÷Ǩÿ*iÇwx²z5­
>¹¼Ì¢Ö44u3¢§èYóWæ%Uó¿\bÑ«ëëëËðp±Y©H8p¿ö¤kßTÂÀ¹;jöôwú.Í6ÛN«Ø×Y;2Á©òH4!<âñ1joÃÌÎu@®[6è3É<³8EëBìóó#"¼¼%E§Ã`ENÎX0¹µ dzH­(£èÍà%(Bó7+4põËÄÖGÑÒümîß¾ïS°4¯Y«Å¢´kÿRìýÙöÿ:võPK}âÐÙ��Î��PK��àRB���������������meta.xmlOo0ÅïýÈÍÕØüé*k±Dj«"µR)·kOX·Æ^Ù&l¾}ÀÀM9ôè7¿÷Æâîܨè¬FïPSæFH]ïÐãÃ|îÊOy~0¼m@{ܯ¢¾U;6v¨µÊIÇtÕc3s=·°%ÍѨÔwèèýÒu]Üe±±5I¶Û-	ÕüÂZ«%8#Iþo¨]F2Æ\|ìRJs2gº¶B¨µz6#}ÂÊWøEB÷EÓúOQ9ßî£,B©¥ÂÜBå-e#£oGÐYƶpêãÞÊ&¦9Nó$c)e_©û+gk
£´ sq Öâ,ä1>®±hm0)Ñïï?¥ëþʸ2ù@OòÈ^>AçûÎKÝWVûþZÑ(rPjÖ²Í$Ãàþ%Óä4ذǽ<Xøä1Ó8½¹º=ïn7ûM-ýÉaÉ)mèÍ×V*Ói÷¹zd²öCoPK~íâ¡����PK��àRB������������'���Configurations2/accelerator/current.xml�PK�����������PK����àRB���������������Configurations2/toolpanel/PK����àRB���������������Configurations2/statusbar/PK����àRB���������������Configurations2/progressbar/PK����àRB���������������Configurations2/toolbar/PK����àRB���������������Configurations2/images/Bitmaps/PK����àRB���������������Configurations2/popupmenu/PK����àRB���������������Configurations2/floater/PK����àRB���������������Configurations2/menubar/PK��àRB���������������Object 1/content.xmlÍZKÛ6¾÷W*zdÙëÇ^Iè+Ñ2JTIzm÷×wHêAieY«ØëdgIÎÌ7óqÈÆY8&tô¹ ,}roìp²¤ñó׿¹KçÃæ§5ÛnIW÷	N¥²TÂß#ÐNÅʬ>9{®D¬R`±áe8-´V¶ôJc!O´·º¶µ%>ʾÊJ¶¦û#ka[;âèÐWYÉ©¶úõU>
>ên°dHGJÒoOÎNÊlåûÃÁ;L=Æc?x||ôõjépXÊe{NµTúb&üÀüB6ÁõõOÉÚ.¥ûäóÞÔ ^íªx{gÄK|pxïÜÐÂõíFý·wÙº	»3{²ô¿À¢þøò¹ÊôÅR²5ªBN²Þai[1VºªÌÕîNÆãß-éC§ø¹%v%ã,i#
ä$\ü¢Ò´L|E8£0ñÍr),¢³¦ÿþòùk¸Ã	ªÉea¤B¢´b«M8éÌç8c\Älû_°[Ò·Lèùã®VÑGQ«(¸3õáèÃÁs_>ü\»»óáÑ×Bµ#Ö©}-dßL�	R]ñ<.«ÐíS*WN>fµ¨V[Õ,Ôî^iq¸Kü63à©ØkÈi­,íúUÎc?s*Y´mZléP©lÛº?ÿðÕ«*ÜÕ9UÁ'Φ(×h/\D$tõõ*6ks1ç÷³«Wùúäü>vB£|T»^Db"áà¿Yû-67kcô5@¸|bBOjJ%G¡síÀã¸Á\,F*ÀgßÀ@ÊR¬a-.¸I7Ù`¦
>(æÜ	"5«ï5è\AUÊg 8QÕðçç©úqôPZÈ¥(«
>Sm·
¸e2Ð	ò ãLqÓ.\,(=·¨
>&ÅÇ|ù
N*NÉ3£®<e`¤ÌK'_%iH÷vw$pêRH¯-¢;;b/"ìiÉ1.N2y*,8e¼à$ÞI¥1ÅXTÝv2òI}¿ê_]ëxuòQtr)zÆ´e1ÒºKHØàcuþ1KCÃO¾®û]è�±ûl|krz$ÂâtÜâçóùLÒÙ/ÎðúÂίµc£"×L9ucOü»GUzçK©VtìMfaÒXÛauÊÅá7\	2^*2¡Õ-çmW]µ-4bìrUØõtöË]ï+aQ]¯@ôõzyÅ3ÑâP¨ÿ¼vÈ?ÛäÏ,:íÓfm²Tj/òü
>æ´àEÙûs5©ßº«ÇÐZ{^16GµÙEþ	3�/"$õ%Z'Tµ+7z4ÙëòñJåÓÔ[LË�L?xñkfrehQjÚ¶DÒ?Q2(Wp·
>¦ PµÎåPÖ ý£cè×Æ2ð>«ü·OÁ²twì-³co9ãø7,Ä/¼ÙLíFî ´Ê«1GI8Å8ØJN¼éc`¡@¯;{h¢ÞlÒ{q~9UU«¬ÐV}:nÄOî±ÕKæNíæNçÌÖbN¢VY#õôãú´TnF¼ªP33/̼ ºÇÂíØìOõÍîHüߤoI£`¹dR×·Á+¡ìK2hÁ0¼³oWh¥­¡.*Ë[
>iÕ*dÛ-ÏÇfmBÐy8F2xºæ[R"x¾Àm¶ORQ_3
>èm­?湺UúÀûåè0ÓÕ	f¯LµÆLùªT97P ";¡Í¯&`ÏL\Ùð§NÃþ«Û¶¦>tõñ3øîÈ!«tj+êMÝ Ëm¥.ÆpÓv¡ðËk¿Ð¸¦oÊ·Éeßj÷O_ß^oìU6krÍj'äÓ
>aúÆqâºAoÖ`
>ááÄuÞ>¬Á³
>avâºAoÖ`y0¿qÝ ·k0¢BXܸnÐÛ5aY!,ïA\7èíÃðX!<Þ¸nÐÛ5![íéøÔ]@}ÈcØÍ}÷ûáVìÝêÕÒ?²áV·t·Û·bïFMþ"aµÜÁ]Pß#²áVßÜå=qõ="a5ßÁ]Pß#²áVÜåeqõ="aµáÁ]Pß#²áV/Üåqõ="a5äÁ[ÍQ*¿õÈ¿1-¾fmͫŨùÿ·7ÿPKè«Öâ���.��PK��àRB���������������Object 1/styles.xmlÛRà ï}N¼Ni±Lw>£d2È�9øö1h[¹LöûÙóîOCÍW(ͤ8$Ùz¬@PY0Q·×çô)9ïö²,\HÚÖ LªÍ'½²b¡ñh<$­XÍ4¤
Ų1pHcïjüã{8TL¬Ø±-y÷ìáP](ÒÇkkÊK+4OKRY7Ä°_QCr6¦Áõ}¿îóµTÊv»òÖ9`:sM«¸§
>s¦Q¶ÎÐĶ~1äOgtWEwµ«®¤GÏDE÷×ÃËåE|òb>U¬v=Ò¡^J9Û	ÆÁ÷Eßn6hüèþ&Þ+f@8½SÂé\Y_ËeÈ)t®ý­\ÒW_~D
>©ÌH¿ø¶:ÛylϦæ×ÇÖY'´REqµáäÈ°¾´cÐß/öúvýwÈC1»©È6ÈCáöÿ'pÌìÁ6äçT©j>¦¥lMÁàïòÁÐbÎD¸áÅíÐ:7Jóú-uÏîô÷Ñ
ý69NW}<æè¸GÏüñPKõ!²��&��PK��àRB���������������Object 1/meta.xmlAo Çïûõ*­iZ¢6Ùa§&»lÉn
ÃW˦`k?þ*ÎÆ-M³#¼ßãÿGº=×UpBÛ*£3QFÔÒJy{}×d?¤æpPyadW£vaNVÝò±ÎjnD«Z®E-wõÔÂç4÷AãιRú+#GçÐ÷=íÔØ¢Íf¾:¡¼rMg+O°Â!¡F0±á¥v®d¹
ø(íãbÆ×]Ú¢¨n]àÂ.áb(O
>ûÇ©CuwC""ÁÏÍF|Ç §^¿DV8cóú°øâH(£1;¥»óþ}½Ú¯`ìk>Q:H«Ùâ©SUÆ)ü92_pë;äßPKp.ÞÊ"��L��PK��àRB���������������settings.xmlíKsÚ0ïýïÄ@Ò¤ñ:NÚ´Í`>nÂ^@Yëdòë+Û¸C\»qÕSO%}»¬Vû/Þ>¬³!)ò¡Õ?êYàú¯Öíü}÷õvôêKêã£ÀUWRzìèå\:ÙðÐwH*NòçËýÙN*,{òÀ(¿Zk¥BǶã8>P¬ìþùù¹æS=äKºª+*½/
>Jdʤ½Þý¶:;%÷L3°F¹ò¿?ºØ	È>ºTAئ³{¨6´´HgC!þm5«lÝÓ5wTÒ±�2ÇÐÊÕ6Ô+kÔ»°ÿ¼|
KUFî¯ÏÎÆ£¾ZñÛÁ_]­Kõ?ï¿©ï$ìRîÃøEQïTºFûØÖQâ©_ÐR*¡ÝÀ%NѦ	´ çh<§èÓ%î@õkxá$Å
Jªô!ø^fìãfùü£Eò
>ú\æªÏèCÑük z¦èísµ�öõ7À{n ¥Ï_UgÐë[ºêcgU!å@n»!<§^¢R´þÌ5¥UN wEEjªhÿ¤©
È
>ØúWúiC¸»Æø Å°½@d@¸5R"rrÉÃýlQ5õºG+
ø%ìO c"ªSøÙ;Øź¹¿Uî¶$LVø[1?A`ª¿|¹?×áAe
>Ýì>GN¨d(
>hÉêNuzÚ¾°ÊZõ(à3¯øº=1"$
$:Ò Oå×HéÜm°@&](¦ÜV¸s© ¸Ñm¬<»ÄH½ßåw¿q$.âKkðCñn´ðéÊJõ[+ßÔu2üøJw˽µ@NáßU»v´|UÿÖ!{	lðK®Æõ©|·»£q×DTõ3fLGa]©¸î3L¦VYê?ÓÙ9Û°ÿmèï.õ þnÆü&­¹òÃ%¸Ë®¿ò	Ci"yLå'|,)á7÷TDJÚü6Mô!&B2ù[­øãHá0/2ãKi¨�ñEÿ(ï«ìÚ]ÌDÅ^A$\RNĶª½ô¼¤R%­W0ë/ä5å÷Y(®¾¦lxÉj´�!ÛÞJï"ÿ[(S-TeuiÿñË®zÿ7úPK}y´��A��PK��àRB���������������ObjectReplacements/Object 1í]MlG~NóÈI!&¥ &ä6S"BP/õP!¹XXâÔK@%T@¹´MÕSÛK¹ ¶
>P#RU®TªzàT.UQ"õç¾7»ãÙãôyv§dVò~ëÝ|ß÷ü¼ûÆ;O>^ð´ApYØ	ðZÀë�à.
ì머»WaÛÒÒ%ÜÚ8l÷êéT{$á2ní­*AP%Zi¡½bc°õ|÷;çüÃp·jÕÄÞ÷xKUî#4ÁéÉáé£GFÇÆÎL¥O9~}túo	[_õA±®áÏ-Áw'ÚÕ~3Kb;Æ
><}V]´þ¢-ÕYtÛÿÌ)Ü-éñÃò`¹;wîPhcplõö~câXzyì²BÌ9±>ëZÈ#ÃD;öÔ(lÇ×+RHír?ÿTX¼Ä=[&ñJð~ªaêDÄa{\â2té2¡X-xçWÞàë&âºÆ}½ãÎIl2ÿM§Ðù Mæ¶yºØd>×âé"4f>Hbù<]ÆÌIl2°ÁÓEhÌ|Ä&óÖ{ºØdþ
.Bcæ$6+áé"4f>Hbùïk=]ÆÌIl2¿3îé"4f>Hby<ü±ñòV#qæ-0Oxº×IyÌgëý¬7ö3où|£&Ó^#qæ-0mõ3²ÕdÚk$μæéÕÇþ«æÒ^#qæ-0Mú4ö3où|]&Ó^#qæ-0Ýëgä^i¯8óÏ÷øÙc2í5gÞóôÙ¢ÈÈá[ÔAgÞóþgfÍk$¶ÿ%ÂÌķļñi):3oyãsrtgÞóÆ'$é$μ%æÏÆÒIyK̦8óó§Èͧ8ó7>	Q'qæ-1o|¦NâÌ[bÞøôSķļñ¹·:3où§Ê&Íë$1/ÉfÓ°Â[ï©Ã¿Øú¹ ÿL¬{ĺRu�©6ؽëÊöøï@:=;[J¡u_ÙÒÊø"«íOFVÉw³bý
>®Ëó¬¹$¤åÒ±²È­Ì±^íÝ¡¾Ìz²0ãK%ÇØrLäÜÊDZÄÇ/À(òöF²0ãK%ÇØrLäÜÊ[Üp¸¡È'õ
>e;a9ÆJ±åÈ1.¹9ÚðçVoÁ|BÙNE=ÆN=Æc¤c[c¹F¯Aà(2Ó¤P¶FQ±¥Sqå©ÇäVæØ<
>;B	OàãöV²0z--z+ÇH=Æ$·2Çñ[oÂ|ÒªP¶FQ±¥Sqå©ÇäVæX
>'wñbN8÷îí
>eûÝ-~&\±¥Sqå©ÇäVæX_sAàÛ(2³C¡l'¢cK§ãÊ1R1ɭ̱y$Ü`Âfy»]¡l'¢cK§ãÊ1R1ɭ̱ÅAàýMxO*íQÔcliáÔc\9Fê1&¹9zà½
 ð"ìîT(Û	£¨ÇØÒ©ǸrÔcLr+s,×B×ÀÝ(2óBÙNE=ÆN=Æc¤c[có»­?'ðÿ²BÙNE=ÆN=Æc¤c[c{�>¬WQä½
>e;aõ[Z8õWzIne¥0Cµ p&'u+íQÔcliáÔc\9Fê1&¹9Ã<²þ*³O¡lÏÇýL¹cK§ãÊ1R1É+c´S¡NO§OO::<V¢å2
 V¬©áܹ³¯ël~¦êJ7xáÏ/UøÀQ®ú®Å¯ºÌúѸý&ìMzÎöChë;±µ_襻x	_ozb$hey×Xé®É`Ñ6Àê0}PaJiaJ¹0²©^©OSS!Uúµ0õ»0²©UiPÓ 	Gr0Ðævï'qïÇ(P¹=ë-÷T>+Ùõ<Gr¡#ÉÔ,ól¿F#9Ðdß,ó°F#¹°'Éþ#Yæ5cFr 'ÉÁ#YæeeFr¡WE2µâ'å®8¬çñC»~1´g~1Âtm~1Âô{~1Ât¼Ù
¿þãbXG|Ýà_äæÍnøUH^Øè_äÃ~U&}unøUHÎÅÿï
>ßamÇ÷]^x	P¶Fp/-;¬l9&î°rÉÇ;¬'ßDúF�í5Yó¨òP+µÿ[Hû7>¾Å¿ûYnàúkh¯¢#+ôî©*ÝU]º+^º«¦tWmÉ®S¥»FêJvUîÔtÃO¼ëþë˸µoϪ¢§S&éÌ8ËC%þPKáFèµ��m��PK��àRB���������������META-INF/manifest.xmlµTËNÃ0¼÷+"¸%¦=¡´)PʹÎ&5ò#Øë>þ»¨i*j ¹yíñÌ쮽ÛÉ
>¬Fd]47¥ÐuA^ç³ôÜNÅ´¨Àa¾_$ávmXoun.×LËç¦]îhÌ¿ãóRé 9èUBBîÛí]y)Óá² ôÉa[A)XÛ
>ÂF
>Î0ÀèJÙÎpvì3sVº%�ÚÅÊ|éÕB3!Åý2kt}ÂP¬Ï;©p£1Úå<A°A;ñ:ÜJp§Uìâ¤wFW¢öv×G7¢sBc)÷Öþ^ÿiù°×ÑBæEƺ?/Þc2¤}u½è©ý-/ï eÿûoçKf;þsa:öU¬h$ãÝ9ºÏð7iLÌTàÖ¥ãµé®Ý[e¬bsqõá
îh@_ÑîþõÓOPKWÜr��%��PK�����àRBl9.���.��������������������mimetypePK�����àRB_røÓÖ��Ö���������������T���Thumbnails/thumbnail.pngPK���àRB²ú¿��Ã#���������������`��content.xmlPK���àRB}âÐÙ��Î��
>«��styles.xmlPK���àRB~íâ¡�����������������¼��meta.xmlPK���àRB�����������'���������������Configurations2/accelerator/current.xmlPK�����àRB�������������������������ê��Configurations2/toolpanel/PK�����àRB�������������������������"��Configurations2/statusbar/PK�����àRB�������������������������Z��Configurations2/progressbar/PK�����àRB���������������������������Configurations2/toolbar/PK�����àRB�������������������������Ê��Configurations2/images/Bitmaps/PK�����àRB���������������������������Configurations2/popupmenu/PK�����àRB�������������������������?��Configurations2/floater/PK�����àRB�������������������������u��Configurations2/menubar/PK���àRBè«Öâ���.���������������«��Object 1/content.xmlPK���àRBõ!²��&���������������ò$��Object 1/styles.xmlPK���àRBp.ÞÊ"��L���������������å&Object 1/meta.xmlPK���àRB}y´��A���������������F(��settings.xmlPK���àRBáFèµ��m���������������4,��ObjectReplacements/Object 1PK���àRBWÜr��%���������������24��META-INF/manifest.xmlPK������A��ç5����
Comment 4 Lior Kaplan 2013-04-27 22:17:45 UTC
Sorry about the last comment, hit the wrong button when correcting the attachment mime type.
Comment 5 Faisal Menawer 2013-04-28 07:12:40 UTC
not only the charts also the shapes and images
Comment 6 Ahmad Harthi 2013-05-04 06:06:00 UTC
Works in 3.6.3 and doesn't work in 3.6.6 and 4.0.0, this is a regression.
Comment 7 Commit Notification 2013-05-06 13:46:13 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bff7f52075eb3ffe931d1779681262e1820a859

fdo#63878 fix the zoom problem when the sheet are RTL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-05-06 13:54:45 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0618ebfa88b1b3eca11f40c173a53680cd41dedd&h=libreoffice-4-0

fdo#63878 fix the zoom problem when the sheet are RTL


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2013-05-06 13:55:12 UTC
(In reply to comment #6)
> Works in 3.6.3 and doesn't work in 3.6.6 and 4.0.0, this is a regression.

Works for me in 3.6.6 and 3-6 (to-be 3.6.7)
Comment 10 Lior Kaplan 2013-05-17 07:54:40 UTC
Fix verified on a build from master.
Comment 11 Commit Notification 2013-05-17 09:57:31 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c5320a63894919bf8dbb424b9ea52836034efde

Revert "fdo#63878 fix the zoom problem when the sheet are RTL"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-05-17 10:33:00 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e489d411a40c6b98966917c3849c8bcc110de34&h=libreoffice-4-0

Revert "fdo#63878 fix the zoom problem when the sheet are RTL"


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Noel Power 2013-05-17 10:43:36 UTC
found to break some 'normal' documents, I didn't really look at the patch in any detail but since this is for rtl should there be some test to see if the document is indeed in rtl mode ?

Also I have some documents that demonstrate the bad behaviour ( size and position of objects incorrect ), these are customer documents and I am currently stripping out all but an object ( that hopefully will still show the problem ). Please be a little patient 'till I get to attach the document
Comment 14 Noel Power 2013-05-17 11:20:12 UTC
Created attachment 79461 [details]
test document

Before the patch the object/drawing on this document occupied ( more or less )
the space defined by cells B3 => X3, with the patch the space defined by the object/drawing is something like D3 => AU3.
Also notice in design mode the handles don't correspond to the area occupied by the object/drawing, additionally the size and position ( as reported by context menu/  position-size ) are all correct ( even though how it is drawn mismatches that completely )

reverting the patch fixes these problems.

Again just looking at the patch if this indeed is needed to fix something in RTL then the correction applied would seem to be needed to be limited only when the document layout mode is RTL. However even saying that it seems suspicious that the correction is applied only for negative offset ?
Comment 15 Noel Power 2013-05-17 11:21:35 UTC
note: if you move the zoom slider then for some values of zoom you will suddenly see the drawing/object appear in the correct position with the correct size ( this was the hint I got to find this patch )
Comment 16 Commit Notification 2013-05-20 18:05:59 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a53efad8dea0b0d78a5ff2b84aa2f09a4c178fd6

fdo#63878 fix the zoom bug on RTL sheet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Lior Kaplan 2013-05-21 22:22:34 UTC
Removing target:4.0.4 due to the revert done earlier. Marking as fixed again due to updated fix (a53efad8dea0b0d78a5ff2b84aa2f09a4c178fd6).
Comment 18 Lior Kaplan 2013-05-21 22:25:07 UTC
Fix verified in a master build.
Comment 19 Commit Notification 2013-05-21 23:13:42 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6aae162ce83f61b11aab3fcd74a8274657bb474f&h=libreoffice-4-0

fdo#63878 fix the zoom bug on RTL sheet


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Michael Meeks 2013-05-24 09:33:48 UTC
Muthu - what's the story here, you had to revert this from the suse branch too did we need to update the bug state here or revert this from elsewhere ? 

The result of the original patch was to apparently discard several charts from my bug-metrics spreadsheet ;-) I'd hope we could come up with a regression test in parallel for that so this doesn't recur.
Comment 21 Muthu 2013-05-24 10:30:31 UTC
@Michael: Well not me, but Noel :)

CC'd Noel.